ObjectFactory (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.types.ObjectFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.types
Class ObjectFactory

    java.lang.Object
      org.hyperic.hq.types.ObjectFactory

    public class ObjectFactory

extends java.lang.Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.hyperic.hq.hqapi1.types package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.hyperic.hq.hqapi1.types

Method Summary
`AlertCondition` | `createAlertCondition()` Create an instance of `AlertCondition`
`AlertDefinition` | `createAlertDefinition()` Create an instance of `AlertDefinition`
`AlertDefinitionsResponse` | `createAlertDefinitionsResponse()` Create an instance of `AlertDefinitionsResponse`
`ResourcePrototype` | `createResourcePrototype()` Create an instance of `ResourcePrototype`
`ServiceError` | `createServiceError()` Create an instance of `ServiceError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.hyperic.hq.hqapi1.types

Method Detail

### createAlertDefinitionsResponse

    public AlertDefinitionsResponse createAlertDefinitionsResponse()

  Create an instance of `AlertDefinitionsResponse`

### createServiceError

    public ServiceError createServiceError()

  Create an instance of `ServiceError`

### createAlertCondition

    public AlertCondition createAlertCondition()

  Create an instance of `AlertCondition`

### createResourcePrototype

    public ResourcePrototype createResourcePrototype()

  Create an instance of `ResourcePrototype`

### createAlertDefinition

    public AlertDefinition createAlertDefinition()

  Create an instance of `AlertDefinition`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.